pkgbase = dune-vectorclass
	pkgdesc = Adapts the vectorclass library for DUNEs SIMD interface
	pkgver = 2.6
	pkgrel = 1
	url = https://dune-project.org/modules/dune-vectorclass
	arch = x86_64
	groups = dune-extensions
	license = GPL2
	makedepends = imagemagick
	makedepends = doxygen
	makedepends = graphviz
	makedepends = dune-istl>=2.7.1
	depends = dune-common>=2.7.1
	optdepends = vc: C++ Vectorization library
	optdepends = imagemagick: image viewing/manipulation program
	optdepends = doxygen: Generate the class documentation from C++ sources
	optdepends = graphviz: Graph visualization software
	optdepends = dune-istl: Iterative Solver Template Library
	source = https://gitlab.dune-project.org/extensions/dune-vectorclass/-/archive/releases/2.6/dune-vectorclass-releases-2.6.tar.gz
	source = filter.patch::https://gitlab.dune-project.org/extensions/dune-vectorclass/-/commit/033206e5212bfb67bddf846c7151ef5adce9e775.patch
	sha512sums = d132a93c82fd90343e52e1a57266aa2e8057773f61f35166930e85ec20a1b9fcdd5a466f38b56d74fe26519784d245a1a382d201af24124e9b99d3a935efa8fa
	sha512sums = 051ed700f96ef04671924a5fd5b4375e2ff6137f7a08bcbb9f24bb5c1f39fc2528a4c64da10f1fde26d8834ce8e47890467deda38da6905702b01c0702e4bc43

pkgname = dune-vectorclass
